image: docker

services:
    - docker:dind

stages:
    - build
    - test

before_script:
    - export
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY

build:
    stage: build
    script:
        - docker pull registry.gitlab.com/dmitry.vomblr/flatris-devops:latest
        - docker build --cache-from registry.gitlab.com/dmitry.vomblr/flatris-devops:latest  -t registry.gitlab.com/dmitry.vomblr/flatris-devops:latest --tag registry.gitlab.com/dmitry.vomblr/flatris-devops:$CI_COMMIT_SHA .
        - docker push registry.gitlab.com/dmitry.vomblr/flatris-devops:latest
        - docker push registry.gitlab.com/dmitry.vomblr/flatris-devops:$CI_COMMIT_SHA

test:
    stage: test
    script:
        - echo "TESTS PASSED"

